# nvme-create-ns(1) Manual Page

## NAME

nvme-create-ns - Send NVMe Namespace management command to create namespace, returns results.

## SYNOPSIS

    nvme create-ns <device> [--nsze=<nsze> | -s <nsze>]
                            [--ncap=<ncap> | -c <ncap>]
                            [--flbas=<flbas> | -f <flbas>]
                            [--dps=<dps> | -d <dps>]
                            [--nmic=<nmic> | -m <nmic>]
                            [--anagrp-id=<anagrpid> | -a <anagrpid>]
                            [--nvmset-id=<nvmsetid> | -i <nvmsetid>]
                            [--csi=<command_set_identifier> | -y <command_set_identifier>]
                            [--lbstm=<lbstm> | -l <lbstm>]
                            [--block-size=<block-size> | -b <block-size>]
                            [--timeout=<timeout> | -t <timeout>]
    DESCRIPTION

    For the NVMe device given, sends a namespace management command to create
    the namespace with the requested settings. On success, the namespace
    identifier assigned by the controller is returned.

    The <device> parameter is mandatory and may be either the NVMe character
    device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

    OPTIONS

-s
--nsze

  The namespace size.

-c
--ncap

  The namespace capacity.

-f
--flbas

  The namespace formatted logical block size setting. Conflicts with --block-size argument.

-d
--dps

  The data protection settings.

-m
--nmic

  Namespace multipath and sharing capabilities.

-a
--anagrp-id

  ANA Group Identifier. If this value is 0h specifies that the controller determines the value to use

-i <nvmsetid>
--nvmset-id=<nvmsetid>

  This field specifies the identifier of the NVM Set.

-y <command_set_identifier>
--csi=<command_set_identifier>

  This field specifies the identifier of command set. if not issued, NVM Command Set will be selected.

-l <lbstm>
--lbstm=<lbstm>

  Logical Block Storage Tag Mask for end-to-end protection.

-b
--block-size

  Target block size the new namespace should be formatted as. Potential FLBAS values will be values will be scanned and the lowest numbered will be selected for the create-ns operation. Conflicts with --flbas argument.

## EXAMPLES

No examples provided yet.

## NVME

Part of the nvme-user suite